Package org.kie.api.runtime.rule

## Class ConsequenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.kie.api.runtime.rule.ConsequenceException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ConsequenceException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConsequenceException​(java.lang.Throwable rootCause, RuleRuntime workingMemory, Match match)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Match` | `getMatch()` |
    `java.lang.String` | `getMessage()` |
    `Rule` | `getRule()` |
    `void` | `printFacts()` |
    `void` | `printFacts​(java.io.PrintStream pStream)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsequenceException

          public ConsequenceException​(java.lang.Throwable rootCause,
                                      RuleRuntime workingMemory,
                                      Match match)

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### getMatch

          public Match getMatch()

    - #### getRule

          public Rule getRule()

    - #### printFacts

          public void printFacts()

    - #### printFacts

          public void printFacts​(java.io.PrintStream pStream)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`